Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#337 Intermittent crashing in 1.1.4

closed
None
5
2008-06-27
2008-05-17
redsteven
No

Below I am including the details of several crashes I experienced last night. I would have submitted each as a bug report when they happened, but I was on a plane and therefore didn't have internet access. I've collected all the information below:

Since upgrading to Skim 1.1.4 last night, I've been experiencing intermittent crashes. I'm not quite sure what's causing them and therefore can't give you a reliable way to reproduce the issue, but I don't remember having this issue before 1.1.4. All I can offer you right now are the following crash reports. As always, thanks for all the hard work you guys put into this project.

Date/Time: 2008-05-17 01:07:04.423 -0700
OS Version: 10.4.11 (Build 8S2167)
Report Version: 4

Command: Skim
Path: /Applications/Skim.app/Contents/MacOS/Skim
Parent: WindowServer [432]

Version: 1.1.4 (v26)

PID: 2685
Thread: 0

Exception: EXC_BAD_ACCESS (0x0001)
Codes: KERN_PROTECTION_FAILURE (0x0002) at 0x0000002f

Thread 0 Crashed:
0 libobjc.A.dylib 0x90a59380 objc_msgSend + 16
1 com.apple.Foundation 0x928a26a7 -[NSObject(NSKeyValueObserverRegistration) removeObserver:forKeyPath:] + 233
2 com.apple.AppKit 0x93534a02 -[NSController removeObserver:forKeyPath:] + 208
3 net.sourceforge.skim-app.skim 0x00007d42 -[SKPDFDocument handleWindowWillCloseNotification:] + 153
4 com.apple.Foundation 0x927f6237 _nsnote_callback + 230
5 com.apple.CoreFoundation 0x908563ce __CFXNotificationPost + 345
6 com.apple.CoreFoundation 0x9084db49 _CFXNotificationPostNotification + 600
7 com.apple.Foundation 0x927ee7c8 -[NSNotificationCenter postNotificationName:object:userInfo:] + 121
8 com.apple.Foundation 0x927f5769 -[NSNotificationCenter postNotificationName:object:] + 55
9 com.apple.AppKit 0x932b27ae -[NSWindow _close] + 103
10 com.apple.AppKit 0x932b2720 -[NSWindow close] + 34
11 com.apple.AppKit 0x9343ef47 -[NSWindow __close] + 148
12 com.apple.AppKit 0x9337f968 -[NSApplication sendAction:to:from:] + 107
13 com.apple.AppKit 0x9337f8c1 -[NSControl sendAction:to:] + 101
14 com.apple.AppKit 0x93381a6d -[NSCell _sendActionFrom:] + 168
15 com.apple.AppKit 0x93381528 -[NSButtonCell performClick:] + 591
16 com.apple.AppKit 0x9337f968 -[NSApplication sendAction:to:from:] + 107
17 com.apple.AppKit 0x9342d827 -[NSMenu performActionForItemAtIndex:] + 455
18 com.apple.AppKit 0x9342d569 -[NSCarbonMenuImpl performActionWithHighlightingForItemAtIndex:] + 103
19 com.apple.AppKit 0x9342d1c0 -[NSMenu performKeyEquivalent:] + 766
20 com.apple.AppKit 0x9342ce48 +[NSSegmentedCell _performKeyEquivalentOnAllCells:] + 328
21 com.apple.AppKit 0x9342cc2c -[NSApplication _handleKeyEquivalent:] + 327
22 com.apple.AppKit 0x9336095f -[NSApplication sendEvent:] + 3542
23 net.sourceforge.skim-app.skim 0x0005c2c3 -[SKApplication sendEvent:] + 159
24 com.apple.AppKit 0x9328ba87 -[NSApplication run] + 547
25 com.apple.AppKit 0x9327f9c0 NSApplicationMain + 573
26 net.sourceforge.skim-app.skim 0x0000c723 main + 410
27 net.sourceforge.skim-app.skim 0x000020b3 _start + 209
28 net.sourceforge.skim-app.skim 0x00001fe1 start + 41

Thread 1:
0 libSystem.B.dylib 0x900248c7 semaphore_wait_signal_trap + 7
1 com.apple.Foundation 0x928542fc -[NSConditionLock lockWhenCondition:] + 39
2 com.apple.AppKit 0x93368e50 -[NSUIHeartBeat _heartBeatThread:] + 377
3 com.apple.Foundation 0x927fe39c forkThreadForFunction + 123
4 libSystem.B.dylib 0x90024227 _pthread_body + 84

Thread 2:
0 libSystem.B.dylib 0x90026d5c kevent + 12
1 com.apple.Foundation 0x927fe39c forkThreadForFunction + 123
2 libSystem.B.dylib 0x90024227 _pthread_body + 84

Thread 0 crashed with X86 Thread State (32-bit):
eax: 0x0000000f ebx: 0x928ca47b ecx: 0x90ab5334 edx: 0x00000001
edi: 0x0000001f esi: 0x173abe50 ebp: 0xbffff3a8 esp: 0xbffff368
ss: 0x0000001f efl: 0x00010206 eip: 0x90a59380 cs: 0x00000017
ds: 0x0000001f es: 0x0000001f fs: 0x00000000 gs: 0x00000037

Binary Images Description:
0x1000 - 0xdffff net.sourceforge.skim-app.skim 1.1.4 (v26) /Applications/Skim.app/Contents/MacOS/Skim
0x132000 - 0x13cfff org.andymatuschak.Sparkle ??? (1.1) /Applications/Skim.app/Contents/Frameworks/Sparkle.framework/Versions/A/Sparkle
0x335000 - 0x337fff net.culater.SIMBL 0.8 (8) /Users/steven/Library/InputManagers/SIMBL/SIMBL.bundle/Contents/MacOS/SIMBL
0x33d000 - 0x33dfff com.ksuther.chaxloader ??? (1.5) /Users/steven/Library/InputManagers/Chax/Chax.bundle/Contents/MacOS/Chax
0x71b000 - 0x737fff GLDriver /System/Library/Frameworks/OpenGL.framework/Versions/A/Resources/GLDriver.bundle/GLDriver
0x73e000 - 0x762fff GLRendererFloat /System/Library/Frameworks/OpenGL.framework/Versions/A/Resources/GLRendererFloat.bundle/GLRendererFloat
0x7ca000 - 0x7cdfff org.altervista.millenomi.Afloat.SIMBLPlugin 1.0 (pre-release 3) (3.0) /Users/steven/Library/PreferencePanes/Afloat.prefPane/Contents/Resources/Afloat.bundle/Contents/MacOS/Afloat
0x148eb000 - 0x14a44fff GLEngine /System/Library/Frameworks/OpenGL.framework/Resources/GLEngine.bundle/GLEngine
0x14ca7000 - 0x14e95fff com.apple.ATIRadeonX1000GLDriver 1.4.56 (4.5.6) /System/Library/Extensions/ATIRadeonX1000GLDriver.bundle/Contents/MacOS/ATIRadeonX1000GLDriver
0x17025000 - 0x17025fff com.apple.SpotLightCM 1.0 (121.36) /System/Library/Contextual Menu Items/SpotlightCM.plugin/Contents/MacOS/SpotlightCM
0x172c9000 - 0x172d3fff com.apple.iokit.IOHIDLib 1.4.13 /System/Library/Extensions/IOHIDFamily.kext/Contents/PlugIns/IOHIDLib.plugin/Contents/MacOS/IOHIDLib
0x17897000 - 0x17899fff com.apple.AutomatorCMM 1.0.1 (88.2) /System/Library/Contextual Menu Items/AutomatorCMM.plugin/Contents/MacOS/AutomatorCMM
0x1789d000 - 0x178a1fff com.apple.FolderActionsMenu 1.3.1 /System/Library/Contextual Menu Items/FolderActionsMenu.plugin/Contents/MacOS/FolderActionsMenu
0x8fe00000 - 0x8fe4afff dyld 46.16 /usr/lib/dyld
0x90000000 - 0x90171fff libSystem.B.dylib /usr/lib/libSystem.B.dylib
0x901c1000 - 0x901c3fff libmathCommon.A.dylib /usr/lib/system/libmathCommon.A.dylib
0x901c5000 - 0x90202fff com.apple.CoreText 1.1.3 (???) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
0x90229000 - 0x902fffff ATS /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x9031f000 - 0x90774fff com.apple.CoreGraphics 1.258.77 (???) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x9080b000 - 0x908d3fff com.apple.CoreFoundation 6.4.10 (368.33) /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x90911000 - 0x90911fff com.apple.CoreServices 10.4 (???) /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x90913000 - 0x90a07fff libicucore.A.dylib /usr/lib/libicucore.A.dylib
0x90a57000 - 0x90ad6fff libobjc.A.dylib /usr/lib/libobjc.A.dylib
0x90aff000 - 0x90b63fff libstdc++.6.dylib /usr/lib/libstdc++.6.dylib
0x90bd2000 - 0x90bd9fff libgcc_s.1.dylib /usr/lib/libgcc_s.1.dylib
0x90bde000 - 0x90c51fff com.apple.framework.IOKit 1.4.8 (???) /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x90c66000 - 0x90c78fff libauto.dylib /usr/lib/libauto.dylib
0x90c7e000 - 0x90f24fff com.apple.CoreServices.CarbonCore 682.28 /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x90f67000 - 0x90fcffff com.apple.CoreServices.OSServices 4.1 /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x91008000 - 0x91047fff com.apple.CFNetwork 129.22 (129.23) /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x9105a000 - 0x9106afff com.apple.WebServices 1.1.3 (1.1.0) /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/WebServicesCore.framework/Versions/A/WebServicesCore
0x91075000 - 0x910f4fff com.apple.SearchKit 1.0.7 /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x9112e000 - 0x9114cfff com.apple.Metadata 10.4.4 (121.36) /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x91158000 - 0x91166fff libz.1.dylib /usr/lib/libz.1.dylib
0x91169000 - 0x91308fff com.apple.security 4.5.2 (29774) /System/Library/Frameworks/Security.framework/Versions/A/Security
0x91406000 - 0x9140efff com.apple.DiskArbitration 2.1.2 /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x91415000 - 0x9141cfff libbsm.dylib /usr/lib/libbsm.dylib
0x91420000 - 0x91446fff com.apple.SystemConfiguration 1.8.6 /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x91458000 - 0x914cefff com.apple.audio.CoreAudio 3.0.5 /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x9151f000 - 0x9151ffff com.apple.ApplicationServices 10.4 (???) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x91521000 - 0x9154cfff com.apple.AE 314 (313) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x9155f000 - 0x91633fff com.apple.ColorSync 4.4.10 /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x9166e000 - 0x916ebfff com.apple.print.framework.PrintCore 4.6 (177.13) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x91718000 - 0x917c1fff com.apple.QD 3.10.25 (???) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x917e7000 - 0x91832fff com.apple.HIServices 1.5.2 (???) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x91851000 - 0x91867fff com.apple.LangAnalysis 1.6.3 /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x91873000 - 0x9188dfff com.apple.FindByContent 1.5 /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/FindByContent.framework/Versions/A/FindByContent
0x91897000 - 0x918d4fff com.apple.LaunchServices 182 /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x918e8000 - 0x918f4fff com.apple.speech.synthesis.framework 3.5 /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x918fb000 - 0x9193bfff com.apple.ImageIO.framework 1.5.6 /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x9194e000 - 0x91a00fff libcrypto.0.9.7.dylib /usr/lib/libcrypto.0.9.7.dylib
0x91a46000 - 0x91a5cfff libcups.2.dylib /usr/lib/libcups.2.dylib
0x91a61000 - 0x91a7ffff libJPEG.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x91a84000 - 0x91ae3fff libJP2.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
0x91af5000 - 0x91af9fff libGIF.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x91afb000 - 0x91b83fff libRaw.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRaw.dylib
0x91b87000 - 0x91bc4fff libTIFF.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x91bca000 - 0x91be4fff libPng.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x91be9000 - 0x91bebfff libRadiance.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x91bed000 - 0x91ccbfff libxml2.2.dylib /usr/lib/libxml2.2.dylib
0x91ce8000 - 0x91ce8fff com.apple.Accelerate 1.3.1 (Accelerate 1.3.1) /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x91cea000 - 0x91d78fff com.apple.vImage 2.5 /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x91d7f000 - 0x91d7ffff com.apple.Accelerate.vecLib 3.3.1 (vecLib 3.3.1) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x91d81000 - 0x91ddafff libvMisc.dylib /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x91de3000 - 0x91e07fff libvDSP.dylib /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x91e0f000 - 0x92218fff libBLAS.dylib /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x92252000 - 0x92606fff libLAPACK.dylib /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x92633000 - 0x92720fff libiconv.2.dylib /usr/lib/libiconv.2.dylib
0x92722000 - 0x927a0fff com.apple.DesktopServices 1.3.7 /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x927e1000 - 0x92a11fff com.apple.Foundation 6.4.10 (567.37) /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x92b2b000 - 0x92b42fff libGL.dylib /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x92b4d000 - 0x92ba5fff libGLU.dylib /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x92bb9000 - 0x92bb9fff com.apple.Carbon 10.4 (???) /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x92bbb000 - 0x92bcbfff com.apple.ImageCapture 3.0.4 /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x92bd9000 - 0x92be1fff com.apple.speech.recognition.framework 3.6 /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x92be7000 - 0x92becfff com.apple.securityhi 2.0.1 (24742) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x92bf2000 - 0x92c83fff com.apple.ink.framework 101.2.1 (71) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x92c97000 - 0x92c9afff com.apple.help 1.0.3 (32.1) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x92c9d000 - 0x92cbafff com.apple.openscripting 1.2.5 (???) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x92cca000 - 0x92cd0fff com.apple.print.framework.Print 5.2 (192.4) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x92cd6000 - 0x92d39fff com.apple.htmlrendering 66.1 (1.1.3) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x92d5d000 - 0x92d9efff com.apple.NavigationServices 3.4.4 (3.4.3) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x92dc5000 - 0x92dd2fff com.apple.audio.SoundManager 3.9.1 /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x92dd9000 - 0x92ddefff com.apple.CommonPanels 1.2.3 (73) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x92de3000 - 0x930d8fff com.apple.HIToolbox 1.4.10 (???) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x931de000 - 0x931e9fff com.apple.opengl 1.4.16 /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x93279000 - 0x93279fff com.apple.Cocoa 6.4 (???) /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
0x9327b000 - 0x93931fff com.apple.AppKit 6.4.10 (824.45) /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x93cb2000 - 0x93d2dfff com.apple.CoreData 91 (92.1) /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x93d66000 - 0x93e1ffff com.apple.audio.toolbox.AudioToolbox 1.4.7 /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x93e62000 - 0x93e62fff com.apple.audio.units.AudioUnit 1.4.2 /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x93e64000 - 0x94025fff com.apple.QuartzCore 1.4.12 /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x9406b000 - 0x940acfff libsqlite3.0.dylib /usr/lib/libsqlite3.0.dylib
0x940b4000 - 0x940eefff libGLImage.dylib /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x940f3000 - 0x94109fff com.apple.CoreVideo 1.4.2 /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
0x9429a000 - 0x942a9fff libCGATS.A.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib
0x942b0000 - 0x942bbfff libCSync.A.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
0x94307000 - 0x94321fff libRIP.A.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
0x951f4000 - 0x952a6fff com.apple.WebKit 4525.18 /System/Library/Frameworks/WebKit.framework/Versions/A/WebKit
0x95311000 - 0x953d8fff com.apple.JavaScriptCore 4525.17 /System/Library/Frameworks/JavaScriptCore.framework/Versions/A/JavaScriptCore
0x95414000 - 0x95a06fff com.apple.WebCore 4525.18.1 /System/Library/Frameworks/WebKit.framework/Versions/A/Frameworks/WebCore.framework/Versions/A/WebCore
0x9601c000 - 0x96054fff com.apple.PDFKit 1.0.4 /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/PDFKit.framework/Versions/A/PDFKit
0x96570000 - 0x96571fff libGreekConverter.dylib /System/Library/CoreServices/Encodings/libGreekConverter.dylib
0x97506000 - 0x975ddfff libGLProgrammability.dylib /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib
0x975f8000 - 0x975f9fff libGLSystem.dylib /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLSystem.dylib
0x97fcc000 - 0x980a3fff com.apple.QuartzComposer 1.2.6 (32.25) /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuartzComposer.framework/Versions/A/QuartzComposer
0x9812c000 - 0x9812cfff com.apple.quartzframework 1.0 /System/Library/Frameworks/Quartz.framework/Versions/A/Quartz
0x987d4000 - 0x987e1fff libbz2.1.0.dylib /usr/lib/libbz2.1.0.dylib

Model: MacBookPro1,1, BootROM MBP11.0055.B08, 2 processors, Intel Core Duo, 2.16 GHz, 2 GB
Graphics: ATI Radeon X1600, ATY,RadeonX1600, PCIe, 256 MB
Memory Module: BANK 0/DIMM0, 1 GB, DDR2 SDRAM, 667 MHz
Memory Module: BANK 1/DIMM1, 1 GB, DDR2 SDRAM, 667 MHz
AirPort: spairport_wireless_card_type_airport_extreme (0x168C, 0x86), 1.3.5
Bluetooth: Version 1.9.5f4, 2 service, 0 devices, 1 incoming serial ports
Serial ATA Device: ST9100824AS, 93.16 GB
Parallel ATA Device: MATSHITADVD-R UJ-857
USB Device: Built-in iSight, Micron, Up to 480 Mb/sec, 500 mA
USB Device: Apple Internal Keyboard / Trackpad, Apple Computer, Up to 12 Mb/sec, 500 mA
USB Device: Bluetooth USB Host Controller, Apple, Inc., Up to 12 Mb/sec, 500 mA
USB Device: IR Receiver, Apple Computer, Inc., Up to 12 Mb/sec, 500 mA

------------------------------------------------------------------------------------------------------------

Okay, it just crashed again. This time, I was just trying to highlight some text when it crashed.

Date/Time: 2008-05-17 01:24:18.123 -0700
OS Version: 10.4.11 (Build 8S2167)
Report Version: 4

Command: Skim
Path: /Applications/Skim.app/Contents/MacOS/Skim
Parent: WindowServer [432]

Version: 1.1.4 (v26)

PID: 3236
Thread: 0

Exception: EXC_BAD_ACCESS (0x0001)
Codes: KERN_PROTECTION_FAILURE (0x0002) at 0x00000023

Thread 0 Crashed:
0 libobjc.A.dylib 0x90a59380 objc_msgSend + 16
1 com.apple.Foundation 0x928a26a7 -[NSObject(NSKeyValueObserverRegistration) removeObserver:forKeyPath:] + 233
2 com.apple.AppKit 0x93534a02 -[NSController removeObserver:forKeyPath:] + 208
3 net.sourceforge.skim-app.skim 0x0000c76d -[SKSnapshotWindowController dealloc] + 66
4 com.apple.AppKit 0x932b265d -[NSWindowController release] + 143
5 com.apple.Foundation 0x927e296f NSPopAutoreleasePool + 530
6 com.apple.AppKit 0x9328bab1 -[NSApplication run] + 589
7 com.apple.AppKit 0x9327f9c0 NSApplicationMain + 573
8 net.sourceforge.skim-app.skim 0x0000c723 main + 410
9 net.sourceforge.skim-app.skim 0x000020b3 _start + 209
10 net.sourceforge.skim-app.skim 0x00001fe1 start + 41

Thread 1:
0 libSystem.B.dylib 0x900248c7 semaphore_wait_signal_trap + 7
1 com.apple.ColorSync 0x915a86db pthreadSemaphoreWait(t_pthreadSemaphore*) + 35
2 com.apple.ColorSync 0x915c2dec CMMConvTask(void*) + 60
3 libSystem.B.dylib 0x90024227 _pthread_body + 84

Thread 0 crashed with X86 Thread State (32-bit):
eax: 0x00000003 ebx: 0x928ca47b ecx: 0x90ab5334 edx: 0x00000001
edi: 0x00000019 esi: 0x16c84220 ebp: 0xbffff9a8 esp: 0xbffff968
ss: 0x0000001f efl: 0x00010202 eip: 0x90a59380 cs: 0x00000017
ds: 0x0000001f es: 0x0000001f fs: 0x00000000 gs: 0x00000037

Binary Images Description:
0x1000 - 0xdffff net.sourceforge.skim-app.skim 1.1.4 (v26) /Applications/Skim.app/Contents/MacOS/Skim
0x132000 - 0x13cfff org.andymatuschak.Sparkle ??? (1.1) /Applications/Skim.app/Contents/Frameworks/Sparkle.framework/Versions/A/Sparkle
0x335000 - 0x337fff net.culater.SIMBL 0.8 (8) /Users/steven/Library/InputManagers/SIMBL/SIMBL.bundle/Contents/MacOS/SIMBL
0x33d000 - 0x33dfff com.ksuther.chaxloader ??? (1.5) /Users/steven/Library/InputManagers/Chax/Chax.bundle/Contents/MacOS/Chax
0x71b000 - 0x737fff GLDriver /System/Library/Frameworks/OpenGL.framework/Versions/A/Resources/GLDriver.bundle/GLDriver
0x73e000 - 0x762fff GLRendererFloat /System/Library/Frameworks/OpenGL.framework/Versions/A/Resources/GLRendererFloat.bundle/GLRendererFloat
0x7ca000 - 0x7cdfff org.altervista.millenomi.Afloat.SIMBLPlugin 1.0 (pre-release 3) (3.0) /Users/steven/Library/PreferencePanes/Afloat.prefPane/Contents/Resources/Afloat.bundle/Contents/MacOS/Afloat
0x148eb000 - 0x14a44fff GLEngine /System/Library/Frameworks/OpenGL.framework/Resources/GLEngine.bundle/GLEngine
0x14ca7000 - 0x14e95fff com.apple.ATIRadeonX1000GLDriver 1.4.56 (4.5.6) /System/Library/Extensions/ATIRadeonX1000GLDriver.bundle/Contents/MacOS/ATIRadeonX1000GLDriver
0x173cf000 - 0x173d9fff com.apple.iokit.IOHIDLib 1.4.13 /System/Library/Extensions/IOHIDFamily.kext/Contents/PlugIns/IOHIDLib.plugin/Contents/MacOS/IOHIDLib
0x8fe00000 - 0x8fe4afff dyld 46.16 /usr/lib/dyld
0x90000000 - 0x90171fff libSystem.B.dylib /usr/lib/libSystem.B.dylib
0x901c1000 - 0x901c3fff libmathCommon.A.dylib /usr/lib/system/libmathCommon.A.dylib
0x901c5000 - 0x90202fff com.apple.CoreText 1.1.3 (???) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
0x90229000 - 0x902fffff ATS /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x9031f000 - 0x90774fff com.apple.CoreGraphics 1.258.77 (???) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x9080b000 - 0x908d3fff com.apple.CoreFoundation 6.4.10 (368.33) /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x90911000 - 0x90911fff com.apple.CoreServices 10.4 (???) /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x90913000 - 0x90a07fff libicucore.A.dylib /usr/lib/libicucore.A.dylib
0x90a57000 - 0x90ad6fff libobjc.A.dylib /usr/lib/libobjc.A.dylib
0x90aff000 - 0x90b63fff libstdc++.6.dylib /usr/lib/libstdc++.6.dylib
0x90bd2000 - 0x90bd9fff libgcc_s.1.dylib /usr/lib/libgcc_s.1.dylib
0x90bde000 - 0x90c51fff com.apple.framework.IOKit 1.4.8 (???) /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x90c66000 - 0x90c78fff libauto.dylib /usr/lib/libauto.dylib
0x90c7e000 - 0x90f24fff com.apple.CoreServices.CarbonCore 682.28 /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x90f67000 - 0x90fcffff com.apple.CoreServices.OSServices 4.1 /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x91008000 - 0x91047fff com.apple.CFNetwork 129.22 (129.23) /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x9105a000 - 0x9106afff com.apple.WebServices 1.1.3 (1.1.0) /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/WebServicesCore.framework/Versions/A/WebServicesCore
0x91075000 - 0x910f4fff com.apple.SearchKit 1.0.7 /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x9112e000 - 0x9114cfff com.apple.Metadata 10.4.4 (121.36) /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x91158000 - 0x91166fff libz.1.dylib /usr/lib/libz.1.dylib
0x91169000 - 0x91308fff com.apple.security 4.5.2 (29774) /System/Library/Frameworks/Security.framework/Versions/A/Security
0x91406000 - 0x9140efff com.apple.DiskArbitration 2.1.2 /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x91415000 - 0x9141cfff libbsm.dylib /usr/lib/libbsm.dylib
0x91420000 - 0x91446fff com.apple.SystemConfiguration 1.8.6 /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x91458000 - 0x914cefff com.apple.audio.CoreAudio 3.0.5 /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x9151f000 - 0x9151ffff com.apple.ApplicationServices 10.4 (???) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x91521000 - 0x9154cfff com.apple.AE 314 (313) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x9155f000 - 0x91633fff com.apple.ColorSync 4.4.10 /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x9166e000 - 0x916ebfff com.apple.print.framework.PrintCore 4.6 (177.13) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x91718000 - 0x917c1fff com.apple.QD 3.10.25 (???) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x917e7000 - 0x91832fff com.apple.HIServices 1.5.2 (???) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x91851000 - 0x91867fff com.apple.LangAnalysis 1.6.3 /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x91873000 - 0x9188dfff com.apple.FindByContent 1.5 /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/FindByContent.framework/Versions/A/FindByContent
0x91897000 - 0x918d4fff com.apple.LaunchServices 182 /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x918e8000 - 0x918f4fff com.apple.speech.synthesis.framework 3.5 /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x918fb000 - 0x9193bfff com.apple.ImageIO.framework 1.5.6 /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x9194e000 - 0x91a00fff libcrypto.0.9.7.dylib /usr/lib/libcrypto.0.9.7.dylib
0x91a46000 - 0x91a5cfff libcups.2.dylib /usr/lib/libcups.2.dylib
0x91a61000 - 0x91a7ffff libJPEG.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x91a84000 - 0x91ae3fff libJP2.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
0x91af5000 - 0x91af9fff libGIF.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x91afb000 - 0x91b83fff libRaw.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRaw.dylib
0x91b87000 - 0x91bc4fff libTIFF.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x91bca000 - 0x91be4fff libPng.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x91be9000 - 0x91bebfff libRadiance.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x91bed000 - 0x91ccbfff libxml2.2.dylib /usr/lib/libxml2.2.dylib
0x91ce8000 - 0x91ce8fff com.apple.Accelerate 1.3.1 (Accelerate 1.3.1) /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x91cea000 - 0x91d78fff com.apple.vImage 2.5 /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x91d7f000 - 0x91d7ffff com.apple.Accelerate.vecLib 3.3.1 (vecLib 3.3.1) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x91d81000 - 0x91ddafff libvMisc.dylib /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x91de3000 - 0x91e07fff libvDSP.dylib /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x91e0f000 - 0x92218fff libBLAS.dylib /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x92252000 - 0x92606fff libLAPACK.dylib /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x92633000 - 0x92720fff libiconv.2.dylib /usr/lib/libiconv.2.dylib
0x92722000 - 0x927a0fff com.apple.DesktopServices 1.3.7 /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x927e1000 - 0x92a11fff com.apple.Foundation 6.4.10 (567.37) /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x92b2b000 - 0x92b42fff libGL.dylib /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x92b4d000 - 0x92ba5fff libGLU.dylib /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x92bb9000 - 0x92bb9fff com.apple.Carbon 10.4 (???) /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x92bbb000 - 0x92bcbfff com.apple.ImageCapture 3.0.4 /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x92bd9000 - 0x92be1fff com.apple.speech.recognition.framework 3.6 /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x92be7000 - 0x92becfff com.apple.securityhi 2.0.1 (24742) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x92bf2000 - 0x92c83fff com.apple.ink.framework 101.2.1 (71) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x92c97000 - 0x92c9afff com.apple.help 1.0.3 (32.1) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x92c9d000 - 0x92cbafff com.apple.openscripting 1.2.5 (???) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x92cca000 - 0x92cd0fff com.apple.print.framework.Print 5.2 (192.4) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x92cd6000 - 0x92d39fff com.apple.htmlrendering 66.1 (1.1.3) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x92d5d000 - 0x92d9efff com.apple.NavigationServices 3.4.4 (3.4.3) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x92dc5000 - 0x92dd2fff com.apple.audio.SoundManager 3.9.1 /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x92dd9000 - 0x92ddefff com.apple.CommonPanels 1.2.3 (73) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x92de3000 - 0x930d8fff com.apple.HIToolbox 1.4.10 (???) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x931de000 - 0x931e9fff com.apple.opengl 1.4.16 /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x93279000 - 0x93279fff com.apple.Cocoa 6.4 (???) /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
0x9327b000 - 0x93931fff com.apple.AppKit 6.4.10 (824.45) /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x93cb2000 - 0x93d2dfff com.apple.CoreData 91 (92.1) /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x93d66000 - 0x93e1ffff com.apple.audio.toolbox.AudioToolbox 1.4.7 /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x93e62000 - 0x93e62fff com.apple.audio.units.AudioUnit 1.4.2 /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x93e64000 - 0x94025fff com.apple.QuartzCore 1.4.12 /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x9406b000 - 0x940acfff libsqlite3.0.dylib /usr/lib/libsqlite3.0.dylib
0x940b4000 - 0x940eefff libGLImage.dylib /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x940f3000 - 0x94109fff com.apple.CoreVideo 1.4.2 /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
0x9429a000 - 0x942a9fff libCGATS.A.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib
0x942b0000 - 0x942bbfff libCSync.A.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
0x94307000 - 0x94321fff libRIP.A.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
0x951f4000 - 0x952a6fff com.apple.WebKit 4525.18 /System/Library/Frameworks/WebKit.framework/Versions/A/WebKit
0x95311000 - 0x953d8fff com.apple.JavaScriptCore 4525.17 /System/Library/Frameworks/JavaScriptCore.framework/Versions/A/JavaScriptCore
0x95414000 - 0x95a06fff com.apple.WebCore 4525.18.1 /System/Library/Frameworks/WebKit.framework/Versions/A/Frameworks/WebCore.framework/Versions/A/WebCore
0x9601c000 - 0x96054fff com.apple.PDFKit 1.0.4 /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/PDFKit.framework/Versions/A/PDFKit
0x96570000 - 0x96571fff libGreekConverter.dylib /System/Library/CoreServices/Encodings/libGreekConverter.dylib
0x97506000 - 0x975ddfff libGLProgrammability.dylib /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib
0x975f8000 - 0x975f9fff libGLSystem.dylib /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLSystem.dylib
0x97fcc000 - 0x980a3fff com.apple.QuartzComposer 1.2.6 (32.25) /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuartzComposer.framework/Versions/A/QuartzComposer
0x9812c000 - 0x9812cfff com.apple.quartzframework 1.0 /System/Library/Frameworks/Quartz.framework/Versions/A/Quartz
0x987d4000 - 0x987e1fff libbz2.1.0.dylib /usr/lib/libbz2.1.0.dylib

Model: MacBookPro1,1, BootROM MBP11.0055.B08, 2 processors, Intel Core Duo, 2.16 GHz, 2 GB
Graphics: ATI Radeon X1600, ATY,RadeonX1600, PCIe, 256 MB
Memory Module: BANK 0/DIMM0, 1 GB, DDR2 SDRAM, 667 MHz
Memory Module: BANK 1/DIMM1, 1 GB, DDR2 SDRAM, 667 MHz
AirPort: spairport_wireless_card_type_airport_extreme (0x168C, 0x86), 1.3.5
Bluetooth: Version 1.9.5f4, 2 service, 0 devices, 1 incoming serial ports
Serial ATA Device: ST9100824AS, 93.16 GB
Parallel ATA Device: MATSHITADVD-R UJ-857
USB Device: Built-in iSight, Micron, Up to 480 Mb/sec, 500 mA
USB Device: Apple Internal Keyboard / Trackpad, Apple Computer, Up to 12 Mb/sec, 500 mA
USB Device: Bluetooth USB Host Controller, Apple, Inc., Up to 12 Mb/sec, 500 mA
USB Device: IR Receiver, Apple Computer, Inc., Up to 12 Mb/sec, 500 mA

--------------------------------------------------------------------------------------------------------------

Okay, happened again. This time, I simply quit Skim, and then it said it crashed...

Date/Time: 2008-05-17 06:03:39.839 -0700
OS Version: 10.4.11 (Build 8S2167)
Report Version: 4

Command: Skim
Path: /Applications/Skim.app/Contents/MacOS/Skim
Parent: WindowServer [432]

Version: 1.1.4 (v26)

PID: 3286
Thread: 0

Exception: EXC_BAD_ACCESS (0x0001)
Codes: KERN_INVALID_ADDRESS (0x0001) at 0x7070414f

Thread 0 Crashed:
0 libobjc.A.dylib 0x90a59380 objc_msgSend + 16
1 com.apple.Foundation 0x928a26a7 -[NSObject(NSKeyValueObserverRegistration) removeObserver:forKeyPath:] + 233
2 com.apple.AppKit 0x93534a02 -[NSController removeObserver:forKeyPath:] + 208
3 net.sourceforge.skim-app.skim 0x00007d42 -[SKPDFDocument handleWindowWillCloseNotification:] + 153
4 com.apple.Foundation 0x927f6237 _nsnote_callback + 230
5 com.apple.CoreFoundation 0x908563ce __CFXNotificationPost + 345
6 com.apple.CoreFoundation 0x9084db49 _CFXNotificationPostNotification + 600
7 com.apple.Foundation 0x927ee7c8 -[NSNotificationCenter postNotificationName:object:userInfo:] + 121
8 com.apple.Foundation 0x927f5769 -[NSNotificationCenter postNotificationName:object:] + 55
9 com.apple.AppKit 0x932b27ae -[NSWindow _close] + 103
10 com.apple.AppKit 0x932b2720 -[NSWindow close] + 34
11 com.apple.Foundation 0x927fa089 -[NSArray makeObjectsPerformSelector:withObject:] + 324
12 com.apple.Foundation 0x9280ad0d -[NSArray makeObjectsPerformSelector:] + 141
13 com.apple.AppKit 0x9341936d -[NSApplication _deallocHardCore:] + 215
14 com.apple.AppKit 0x93418e80 -[NSApplication terminate:] + 629
15 net.sourceforge.skim-app.skim 0x0005c3a4 -[SKApplication terminate:] + 218
16 com.apple.AppKit 0x9337f968 -[NSApplication sendAction:to:from:] + 107
17 com.apple.AppKit 0x9342d827 -[NSMenu performActionForItemAtIndex:] + 455
18 com.apple.AppKit 0x9342d569 -[NSCarbonMenuImpl performActionWithHighlightingForItemAtIndex:] + 103
19 com.apple.AppKit 0x9342d1c0 -[NSMenu performKeyEquivalent:] + 766
20 com.apple.AppKit 0x9342ce48 +[NSSegmentedCell _performKeyEquivalentOnAllCells:] + 328
21 com.apple.AppKit 0x9342cc2c -[NSApplication _handleKeyEquivalent:] + 327
22 com.apple.AppKit 0x9336095f -[NSApplication sendEvent:] + 3542
23 net.sourceforge.skim-app.skim 0x0005c2c3 -[SKApplication sendEvent:] + 159
24 com.apple.AppKit 0x9328ba87 -[NSApplication run] + 547
25 com.apple.AppKit 0x9327f9c0 NSApplicationMain + 573
26 net.sourceforge.skim-app.skim 0x0000c723 main + 410
27 net.sourceforge.skim-app.skim 0x000020b3 _start + 209
28 net.sourceforge.skim-app.skim 0x00001fe1 start + 41

Thread 1:
0 libSystem.B.dylib 0x900248c7 semaphore_wait_signal_trap + 7
1 com.apple.ColorSync 0x915a86db pthreadSemaphoreWait(t_pthreadSemaphore*) + 35
2 com.apple.ColorSync 0x915c2dec CMMConvTask(void*) + 60
3 libSystem.B.dylib 0x90024227 _pthread_body + 84

Thread 0 crashed with X86 Thread State (32-bit):
eax: 0x7070412f ebx: 0x928ca47b ecx: 0x90ab5334 edx: 0x00000001
edi: 0x00000019 esi: 0x18bbd140 ebp: 0xbffff1c8 esp: 0xbffff188
ss: 0x0000001f efl: 0x00010202 eip: 0x90a59380 cs: 0x00000017
ds: 0x0000001f es: 0x0000001f fs: 0x00000000 gs: 0x00000037

Binary Images Description:
0x1000 - 0xdffff net.sourceforge.skim-app.skim 1.1.4 (v26) /Applications/Skim.app/Contents/MacOS/Skim
0x132000 - 0x13cfff org.andymatuschak.Sparkle ??? (1.1) /Applications/Skim.app/Contents/Frameworks/Sparkle.framework/Versions/A/Sparkle
0x335000 - 0x337fff net.culater.SIMBL 0.8 (8) /Users/steven/Library/InputManagers/SIMBL/SIMBL.bundle/Contents/MacOS/SIMBL
0x33d000 - 0x33dfff com.ksuther.chaxloader ??? (1.5) /Users/steven/Library/InputManagers/Chax/Chax.bundle/Contents/MacOS/Chax
0x71b000 - 0x737fff GLDriver /System/Library/Frameworks/OpenGL.framework/Versions/A/Resources/GLDriver.bundle/GLDriver
0x73e000 - 0x762fff GLRendererFloat /System/Library/Frameworks/OpenGL.framework/Versions/A/Resources/GLRendererFloat.bundle/GLRendererFloat
0x7ca000 - 0x7cdfff org.altervista.millenomi.Afloat.SIMBLPlugin 1.0 (pre-release 3) (3.0) /Users/steven/Library/PreferencePanes/Afloat.prefPane/Contents/Resources/Afloat.bundle/Contents/MacOS/Afloat
0x148eb000 - 0x14a44fff GLEngine /System/Library/Frameworks/OpenGL.framework/Resources/GLEngine.bundle/GLEngine
0x14ca7000 - 0x14e95fff com.apple.ATIRadeonX1000GLDriver 1.4.56 (4.5.6) /System/Library/Extensions/ATIRadeonX1000GLDriver.bundle/Contents/MacOS/ATIRadeonX1000GLDriver
0x173d4000 - 0x173defff com.apple.iokit.IOHIDLib 1.4.13 /System/Library/Extensions/IOHIDFamily.kext/Contents/PlugIns/IOHIDLib.plugin/Contents/MacOS/IOHIDLib
0x174cf000 - 0x174d1fff com.apple.AutomatorCMM 1.0.1 (88.2) /System/Library/Contextual Menu Items/AutomatorCMM.plugin/Contents/MacOS/AutomatorCMM
0x178fc000 - 0x178fcfff com.apple.SpotLightCM 1.0 (121.36) /System/Library/Contextual Menu Items/SpotlightCM.plugin/Contents/MacOS/SpotlightCM
0x1796c000 - 0x17970fff com.apple.FolderActionsMenu 1.3.1 /System/Library/Contextual Menu Items/FolderActionsMenu.plugin/Contents/MacOS/FolderActionsMenu
0x8fe00000 - 0x8fe4afff dyld 46.16 /usr/lib/dyld
0x90000000 - 0x90171fff libSystem.B.dylib /usr/lib/libSystem.B.dylib
0x901c1000 - 0x901c3fff libmathCommon.A.dylib /usr/lib/system/libmathCommon.A.dylib
0x901c5000 - 0x90202fff com.apple.CoreText 1.1.3 (???) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
0x90229000 - 0x902fffff ATS /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x9031f000 - 0x90774fff com.apple.CoreGraphics 1.258.77 (???) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x9080b000 - 0x908d3fff com.apple.CoreFoundation 6.4.10 (368.33) /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x90911000 - 0x90911fff com.apple.CoreServices 10.4 (???) /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x90913000 - 0x90a07fff libicucore.A.dylib /usr/lib/libicucore.A.dylib
0x90a57000 - 0x90ad6fff libobjc.A.dylib /usr/lib/libobjc.A.dylib
0x90aff000 - 0x90b63fff libstdc++.6.dylib /usr/lib/libstdc++.6.dylib
0x90bd2000 - 0x90bd9fff libgcc_s.1.dylib /usr/lib/libgcc_s.1.dylib
0x90bde000 - 0x90c51fff com.apple.framework.IOKit 1.4.8 (???) /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x90c66000 - 0x90c78fff libauto.dylib /usr/lib/libauto.dylib
0x90c7e000 - 0x90f24fff com.apple.CoreServices.CarbonCore 682.28 /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x90f67000 - 0x90fcffff com.apple.CoreServices.OSServices 4.1 /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x91008000 - 0x91047fff com.apple.CFNetwork 129.22 (129.23) /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x9105a000 - 0x9106afff com.apple.WebServices 1.1.3 (1.1.0) /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/WebServicesCore.framework/Versions/A/WebServicesCore
0x91075000 - 0x910f4fff com.apple.SearchKit 1.0.7 /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x9112e000 - 0x9114cfff com.apple.Metadata 10.4.4 (121.36) /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x91158000 - 0x91166fff libz.1.dylib /usr/lib/libz.1.dylib
0x91169000 - 0x91308fff com.apple.security 4.5.2 (29774) /System/Library/Frameworks/Security.framework/Versions/A/Security
0x91406000 - 0x9140efff com.apple.DiskArbitration 2.1.2 /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x91415000 - 0x9141cfff libbsm.dylib /usr/lib/libbsm.dylib
0x91420000 - 0x91446fff com.apple.SystemConfiguration 1.8.6 /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x91458000 - 0x914cefff com.apple.audio.CoreAudio 3.0.5 /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x9151f000 - 0x9151ffff com.apple.ApplicationServices 10.4 (???) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x91521000 - 0x9154cfff com.apple.AE 314 (313) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x9155f000 - 0x91633fff com.apple.ColorSync 4.4.10 /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x9166e000 - 0x916ebfff com.apple.print.framework.PrintCore 4.6 (177.13) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x91718000 - 0x917c1fff com.apple.QD 3.10.25 (???) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x917e7000 - 0x91832fff com.apple.HIServices 1.5.2 (???) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x91851000 - 0x91867fff com.apple.LangAnalysis 1.6.3 /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x91873000 - 0x9188dfff com.apple.FindByContent 1.5 /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/FindByContent.framework/Versions/A/FindByContent
0x91897000 - 0x918d4fff com.apple.LaunchServices 182 /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x918e8000 - 0x918f4fff com.apple.speech.synthesis.framework 3.5 /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x918fb000 - 0x9193bfff com.apple.ImageIO.framework 1.5.6 /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x9194e000 - 0x91a00fff libcrypto.0.9.7.dylib /usr/lib/libcrypto.0.9.7.dylib
0x91a46000 - 0x91a5cfff libcups.2.dylib /usr/lib/libcups.2.dylib
0x91a61000 - 0x91a7ffff libJPEG.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x91a84000 - 0x91ae3fff libJP2.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
0x91af5000 - 0x91af9fff libGIF.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x91afb000 - 0x91b83fff libRaw.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRaw.dylib
0x91b87000 - 0x91bc4fff libTIFF.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x91bca000 - 0x91be4fff libPng.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x91be9000 - 0x91bebfff libRadiance.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x91bed000 - 0x91ccbfff libxml2.2.dylib /usr/lib/libxml2.2.dylib
0x91ce8000 - 0x91ce8fff com.apple.Accelerate 1.3.1 (Accelerate 1.3.1) /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x91cea000 - 0x91d78fff com.apple.vImage 2.5 /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x91d7f000 - 0x91d7ffff com.apple.Accelerate.vecLib 3.3.1 (vecLib 3.3.1) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x91d81000 - 0x91ddafff libvMisc.dylib /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x91de3000 - 0x91e07fff libvDSP.dylib /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x91e0f000 - 0x92218fff libBLAS.dylib /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x92252000 - 0x92606fff libLAPACK.dylib /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x92633000 - 0x92720fff libiconv.2.dylib /usr/lib/libiconv.2.dylib
0x92722000 - 0x927a0fff com.apple.DesktopServices 1.3.7 /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x927e1000 - 0x92a11fff com.apple.Foundation 6.4.10 (567.37) /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x92b2b000 - 0x92b42fff libGL.dylib /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x92b4d000 - 0x92ba5fff libGLU.dylib /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x92bb9000 - 0x92bb9fff com.apple.Carbon 10.4 (???) /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x92bbb000 - 0x92bcbfff com.apple.ImageCapture 3.0.4 /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x92bd9000 - 0x92be1fff com.apple.speech.recognition.framework 3.6 /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x92be7000 - 0x92becfff com.apple.securityhi 2.0.1 (24742) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x92bf2000 - 0x92c83fff com.apple.ink.framework 101.2.1 (71) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x92c97000 - 0x92c9afff com.apple.help 1.0.3 (32.1) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x92c9d000 - 0x92cbafff com.apple.openscripting 1.2.5 (???) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x92cca000 - 0x92cd0fff com.apple.print.framework.Print 5.2 (192.4) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x92cd6000 - 0x92d39fff com.apple.htmlrendering 66.1 (1.1.3) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x92d5d000 - 0x92d9efff com.apple.NavigationServices 3.4.4 (3.4.3) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x92dc5000 - 0x92dd2fff com.apple.audio.SoundManager 3.9.1 /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x92dd9000 - 0x92ddefff com.apple.CommonPanels 1.2.3 (73) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x92de3000 - 0x930d8fff com.apple.HIToolbox 1.4.10 (???) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x931de000 - 0x931e9fff com.apple.opengl 1.4.16 /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x93279000 - 0x93279fff com.apple.Cocoa 6.4 (???) /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
0x9327b000 - 0x93931fff com.apple.AppKit 6.4.10 (824.45) /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x93cb2000 - 0x93d2dfff com.apple.CoreData 91 (92.1) /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x93d66000 - 0x93e1ffff com.apple.audio.toolbox.AudioToolbox 1.4.7 /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x93e62000 - 0x93e62fff com.apple.audio.units.AudioUnit 1.4.2 /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x93e64000 - 0x94025fff com.apple.QuartzCore 1.4.12 /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x9406b000 - 0x940acfff libsqlite3.0.dylib /usr/lib/libsqlite3.0.dylib
0x940b4000 - 0x940eefff libGLImage.dylib /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x940f3000 - 0x94109fff com.apple.CoreVideo 1.4.2 /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
0x9429a000 - 0x942a9fff libCGATS.A.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib
0x942b0000 - 0x942bbfff libCSync.A.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
0x94307000 - 0x94321fff libRIP.A.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
0x951f4000 - 0x952a6fff com.apple.WebKit 4525.18 /System/Library/Frameworks/WebKit.framework/Versions/A/WebKit
0x95311000 - 0x953d8fff com.apple.JavaScriptCore 4525.17 /System/Library/Frameworks/JavaScriptCore.framework/Versions/A/JavaScriptCore
0x95414000 - 0x95a06fff com.apple.WebCore 4525.18.1 /System/Library/Frameworks/WebKit.framework/Versions/A/Frameworks/WebCore.framework/Versions/A/WebCore
0x9601c000 - 0x96054fff com.apple.PDFKit 1.0.4 /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/PDFKit.framework/Versions/A/PDFKit
0x96570000 - 0x96571fff libGreekConverter.dylib /System/Library/CoreServices/Encodings/libGreekConverter.dylib
0x97506000 - 0x975ddfff libGLProgrammability.dylib /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib
0x975f8000 - 0x975f9fff libGLSystem.dylib /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLSystem.dylib
0x97fcc000 - 0x980a3fff com.apple.QuartzComposer 1.2.6 (32.25) /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuartzComposer.framework/Versions/A/QuartzComposer
0x9812c000 - 0x9812cfff com.apple.quartzframework 1.0 /System/Library/Frameworks/Quartz.framework/Versions/A/Quartz
0x987d4000 - 0x987e1fff libbz2.1.0.dylib /usr/lib/libbz2.1.0.dylib

Model: MacBookPro1,1, BootROM MBP11.0055.B08, 2 processors, Intel Core Duo, 2.16 GHz, 2 GB
Graphics: ATI Radeon X1600, ATY,RadeonX1600, PCIe, 256 MB
Memory Module: BANK 0/DIMM0, 1 GB, DDR2 SDRAM, 667 MHz
Memory Module: BANK 1/DIMM1, 1 GB, DDR2 SDRAM, 667 MHz
AirPort: spairport_wireless_card_type_airport_extreme (0x168C, 0x86), 1.3.5
Bluetooth: Version 1.9.5f4, 2 service, 0 devices, 1 incoming serial ports
Network Service: AirPort, AirPort, en1
Serial ATA Device: ST9100824AS, 93.16 GB
Parallel ATA Device: MATSHITADVD-R UJ-857
USB Device: Built-in iSight, Micron, Up to 480 Mb/sec, 500 mA
USB Device: Apple Optical USB Mouse, Mitsumi Electric, Up to 1.5 Mb/sec, 500 mA
USB Device: Apple Internal Keyboard / Trackpad, Apple Computer, Up to 12 Mb/sec, 500 mA
USB Device: Bluetooth USB Host Controller, Apple, Inc., Up to 12 Mb/sec, 500 mA
USB Device: IR Receiver, Apple Computer, Inc., Up to 12 Mb/sec, 500 mA

Discussion

  • Adam Maxwell
    Adam Maxwell
    2008-05-18

    Logged In: YES
    user_id=732757
    Originator: NO

    At least one of these may be due to an incorrect notification object or handler error, which is trivially reproducible by using the highlight tool when a snapshot window is visible.

    -[SKPDFView addAnnotation:toPage:] posts a notification with itself as the object. -[SKSnapshotWindowController handleDidAddremoveAnnotationNotification:] assumes that the object is an annotation. This results in an exception which may screw up the stack.

    It also looks like there's a memory smasher somewhere, though.

     
  • Adam Maxwell
    Adam Maxwell
    2008-05-18

    Logged In: YES
    user_id=732757
    Originator: NO

    Assigning so comment gets noted.

     
  • Adam Maxwell
    Adam Maxwell
    2008-05-18

    • assigned_to: nobody --> hofman
     
  • Logged In: YES
    user_id=1162009
    Originator: NO

    Adam, do you see these crashers? I have never seen them, so I suspect an Intel problem. Also, all crashers appear in removeObserver:forKeypath:, and the only thing that changed in observation is the context.

     
  • Adam Maxwell
    Adam Maxwell
    2008-05-18

    Logged In: YES
    user_id=732757
    Originator: NO

    I didn't get very far in testing because of that exception; if that's fixed I'll look at it again. Changing the context pointer can't cause any of these problems, unless it changed memory layout and exposed an existing memory management problem.

     
  • Logged In: YES
    user_id=1162009
    Originator: NO

    I doubt the bug in handleDidAddRemoveAnnotationNotification: has anything to do with this, it does not make sense with these exceptions. Certainly not with the one in the document. Anyway, that obvious one has been fixed. For the rest, I'm still clueless.

    And what makes you say there's a memory smasher?

     
  • Adam Maxwell
    Adam Maxwell
    2008-05-18

    Logged In: YES
    user_id=732757
    Originator: NO

    >And what makes you say there's a memory smasher?

    Because it's either messaging an overreleased object, or something is trashing the heap and the object was overwritten with garbage. An exception can cause this sort of behavior as a side effect of leaving the app in an inconsistent state, but I agree that it's not likely to be the problem here.

    For the OP: is there any output to the console log?

     
  • redsteven
    redsteven
    2008-05-18

     
    Attachments
  • redsteven
    redsteven
    2008-05-18

    Logged In: YES
    user_id=2061615
    Originator: YES

    <For the OP: is there any output to the console log?>

    Well, I opened console and filtered for "skim". This is everything with "skim" in it:
    May 16 00:12:47 Stevens-Computer-MacBook-Pro crashdump[1406]: Skim crashed
    May 16 00:12:47 Stevens-Computer-MacBook-Pro crashdump[1406]: crash report written to: /Users/steven/Library/Logs/CrashReporter/Skim.crash.log
    May 16 00:22:48 Stevens-Computer-MacBook-Pro crashdump[1542]: Skim crashed
    May 16 00:22:48 Stevens-Computer-MacBook-Pro crashdump[1542]: crash report written to: /Users/steven/Library/Logs/CrashReporter/Skim.crash.log
    May 16 00:34:53 Stevens-Computer-MacBook-Pro crashdump[1614]: Skim crashed
    May 16 00:34:53 Stevens-Computer-MacBook-Pro crashdump[1614]: crash report written to: /Users/steven/Library/Logs/CrashReporter/Skim.crash.log
    May 16 23:04:08 Stevens-Computer-MacBook-Pro crashdump[2683]: Skim crashed
    May 16 23:04:09 Stevens-Computer-MacBook-Pro crashdump[2683]: crash report written to: /Users/steven/Library/Logs/CrashReporter/Skim.crash.log
    2008-05-16 23:16:21.491 Skim[2685] CFLog (21): dyld returns 2 when trying to load /Library/Contextual Menu Items/StuffItCM.plugin/Contents/MacOS/StuffItCM
    2008-05-16 23:16:21.491 Skim[2685] CFLog (22): Cannot find function pointer MyCMPluginFactory for factory 02E3F072-9CCB-11D5-A0B2-00306575F8A2 in CFBundle/CFPlugIn 0x173eaa00 </Library/Contextual Menu Items/StuffItCM.plugin> (bundle, not loaded)
    Skim Help
    May 17 01:07:05 Stevens-Computer-MacBook-Pro crashdump[3228]: Skim crashed
    May 17 01:07:06 Stevens-Computer-MacBook-Pro crashdump[3228]: crash report written to: /Users/steven/Library/Logs/CrashReporter/Skim.crash.log
    May 17 01:24:19 Stevens-Computer-MacBook-Pro crashdump[3277]: Skim crashed
    May 17 01:24:19 Stevens-Computer-MacBook-Pro crashdump[3277]: crash report written to: /Users/steven/Library/Logs/CrashReporter/Skim.crash.log
    2008-05-17 01:47:33.113 Skim[3286] CFLog (21): dyld returns 2 when trying to load /Library/Contextual Menu Items/StuffItCM.plugin/Contents/MacOS/StuffItCM
    2008-05-17 01:47:33.113 Skim[3286] CFLog (22): Cannot find function pointer MyCMPluginFactory for factory 02E3F072-9CCB-11D5-A0B2-00306575F8A2 in CFBundle/CFPlugIn 0x18b58860 </Library/Contextual Menu Items/StuffItCM.plugin> (bundle, not loaded)
    May 17 06:03:40 Stevens-Computer-MacBook-Pro crashdump[3771]: Skim crashed
    May 17 06:03:41 Stevens-Computer-MacBook-Pro crashdump[3771]: crash report written to: /Users/steven/Library/Logs/CrashReporter/Skim.crash.log
    2008-05-17 22:28:10.653 Skim[4099] CFLog (21): dyld returns 2 when trying to load /Library/Contextual Menu Items/StuffItCM.plugin/Contents/MacOS/StuffItCM
    2008-05-17 22:28:10.654 Skim[4099] CFLog (22): Cannot find function pointer MyCMPluginFactory for factory 02E3F072-9CCB-11D5-A0B2-00306575F8A2 in CFBundle/CFPlugIn 0x16d75150 </Library/Contextual Menu Items/StuffItCM.plugin> (bundle, not loaded)
    May 18 00:06:31 Stevens-Computer-MacBook-Pro crashdump[6139]: Skim crashed
    May 18 00:06:33 Stevens-Computer-MacBook-Pro crashdump[6139]: crash report written to: /Users/steven/Library/Logs/CrashReporter/Skim.crash.log

    I keeps mentioning "/Users/steven/Library/Logs/CrashReporter/Skim.crash.log" so I guess I'll attach that file to this report...

    File Added: Skim.crash.log

     
  • Logged In: YES
    user_id=1162009
    Originator: NO

    If it would be a memory misalignment problem it would give random crashes. This however is very consistently crashing in -[NSUserDefaultsController removeObserver:forKeyPath:]. I also find it hard to believe for the document to be over-released. And nothing has changed there. It's really frustrating I can't reproduce. Anyway, it's not an Intel-only problem, as it apparently also occurs on 10.4. on an iBook.

     
  • redsteven
    redsteven
    2008-05-25

    Logged In: YES
    user_id=2061615
    Originator: YES

    Even though almost all the system specs are the same between my Macbook Pro and my iMac, I just wanted to let you know that I just experienced the crash on my iMac as well. This time it was when I was quitting (which triggered one of the crashed on the macbook pro, as well). In this scenario, I had some unsaved changes. I quit, it asked if I wanted to save changes, I said yes, and then it crashed. Note that the changed were NOT saved.

    I'm attaching the crash log as a separate text FILE... which I should've done in my original post. My apologies for making the thread 30 pages long lol.
    File Added: skim crash log (iMac).rtf

     
  • redsteven
    redsteven
    2008-05-25

     
  • Logged In: YES
    user_id=1162009
    Originator: NO

    Another thing: if NSUserDefaultsController would be invalid (which I think it can't, because we never ever release it) I think it should crash already earlier, because it's the NSController that appears in the traces. So it must be some object in the binding info that's invalid. However the keyPath should be retained by the controller (and is an object that is not used anywhere else, let alone released), and the observer should be valid (and otherwise it should crash earlier, because it's the one sending the message). I'm more and more inclined to think it's some kind of system bug.

     
  • Logged In: YES
    user_id=1162009
    Originator: NO

    Another important clue pointing to a system bug: all crash reports I've seen are from Tiger, and I think on MacBooks. The question now is: why didn't it occur on earlier versions of Skim? Or did it?

     
  • redsteven
    redsteven
    2008-05-27

    Logged In: YES
    user_id=2061615
    Originator: YES

    Well I get the crashes on both my macbook pro and my imac... but yes, they're both running Tiger.

    And I haven't had any crashes yet with the new version you sent me, btw.

     
  • Logged In: YES
    user_id=1162009
    Originator: NO

    Please reopen this if you see it in 1.1.6.

     
    • status: open --> closed